Bug 177123 - Follow glibc conventions for nss modules
Follow glibc conventions for nss modules
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks: 190618
  Show dependency treegraph
 
Reported: 2006-01-06 10:18 EST by Bastien Nocera
Modified: 2014-08-31 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 10:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
samba-correct-sonames-spec.patch (2.31 KB, patch)
2006-01-06 10:18 EST, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 3381 None None None Never

  None (edit)
Description Bastien Nocera 2006-01-06 10:18:52 EST
samba-3.0.9-1.3E.5

This is the spec file part of:
https://bugzilla.samba.org/show_bug.cgi?id=3381

This should probably be applied to RHEL4 and rawhide as well.

It will fix libnss_<module>.so dangling symlinks when removing the samba-common RPM.
Comment 1 Bastien Nocera 2006-01-06 10:18:52 EST
Created attachment 122879 [details]
samba-correct-sonames-spec.patch
Comment 2 Matthias Schroder 2006-01-13 09:25:05 EST
I am puzzled by the patch. First it shows different patch names then the ones I
see in the samba-3.0.9-1.3E.5 specfile. Second it seems to add the samba version
to the sonames instead of the glibc version. Third I did expect the correct name
to be libnss_<module>.so.<glibc-version>.

Anyhow, my rpmbuild fails with 

make: *** No rule to make target `nsswitch/libnss_wins-3.0.9.so'.  Stop.
error: Bad exit status from /var/tmp/rpm-tmp.70885 (%build)

Either the patch is wrong, or I did apply it badly, or both.
Comment 3 Bastien Nocera 2006-01-13 09:46:39 EST
Matthias, the patch was generated against RHEL4, and might need a bit more work
to get working on RHEL3.
I would like to see the non-spec part of the patch accepted upstream before I do
any more work on this though.

"Third I did expect the correct name to be libnss_<module>.so.<glibc-version>."
Look at your /lib/linss*, the glibc provided modules use
"libnss_<module>-<glibc-version>.so".
Using "libnss_<module>.so.<glibc-version>" would be confusing, as the soname is
what is supposed to be after the .so.
Comment 6 Bob Johnson 2006-04-11 11:59:49 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.
Comment 7 Jay Fenlason 2006-04-19 10:47:44 EDT
After examining the issue, and talking with Nalin, I've decided that this 
patch is basically cosmetic, and RHEL-3 is too close to historical status to 
justify making a change like this at this late date.  It will be included in 
RHEL-5, and we're still debating whether to include this change in RHEL-4. 

Note You need to log in before you can comment on or make changes to this bug.